<div *ngIf="currentWorkspace && currentRepository">

  <div class="field is-grouped">
    <div class="control">
      <a class="button is-primary">
        <span class="icon"><i class="fas fa-table"></i></span>
        <span (click)="showManageModuleViewModal()">Manage view</span>
      </a>
      <app-manage-module-view-modal *ngIf="isManageModuleViewModalActive()" [currentWorkspace]="currentWorkspace" (hideModalEvent)="hideManageModuleViewModal()"></app-manage-module-view-modal>
    </div>
    <app-basic-module *ngIf="isModuleEnabled(inspectorModulesService.basicModuleName)" [hidden]="!isModuleLocalyEnabled(inspectorModulesService.basicModuleName)" style="width: 100%" [currentWorkspace]="currentWorkspace" [currentRepository]="currentRepository"></app-basic-module>
  </div>

  <hr>

  <app-modules-filters [currentWorkspace]="currentWorkspace" [currentRepository]="currentRepository"></app-modules-filters>

  <hr>

  <app-contributors-module *ngIf="isModuleEnabled(inspectorModulesService.contributorsModuleName)" [hidden]="!isModuleLocalyEnabled(inspectorModulesService.contributorsModuleName)" [currentWorkspace]="currentWorkspace" [currentRepository]="currentRepository"></app-contributors-module>

  <hr>

  <app-evaluator-module *ngIf="isModuleEnabled(inspectorModulesService.evaluatorModuleName)" [hidden]="!isModuleLocalyEnabled(inspectorModulesService.evaluatorModuleName)" [currentWorkspace]="currentWorkspace" [currentRepository]="currentRepository"></app-evaluator-module>

</div>
